### Constructor

# Ide Notification new

#### Declaration

    IdeNotification*
    ide_notification_new (
      void
    )

#### Description

Creates a new `IdeNotification`.

To “send” the notification, you should attach it to the `IdeNotifications` object which can be found under the root `IdeObject`. To simplify this, the `ide_notification_attach()` function is provided to locate the `IdeNotifications` object using any `IdeObject` you have access to.

    IdeNotification *notif = ide_notification_new ();
    setup_notification (notify);
    ide_notification_attach (notif, IDE_OBJECT (some_object));

Available since: | 3.32

#### Return value

Returns: | `IdeNotification`
| No description available.
| The caller of the function takes ownership of the data, and is responsible for freeing it.